### Constructor

# Gdk Surfacenew_popup

#### Declaration [src]

    GdkSurface*
    gdk_surface_new_popup (
      GdkSurface* parent,
      gboolean autohide
    )

#### Description [src]

Create a new popup surface.

The surface will be attached to `parent` and can be positioned relative to it using `gdk_popup_present()`.

#### Parameters

`parent`

  Type: `GdkSurface`

  The parent surface to attach the surface to.

  The data is owned by the caller of the function.

`autohide`

  Type: `gboolean`

  Whether to hide the surface on outside clicks.

#### Return value

Type: `GdkSurface`

A new `GdkSurface`

The caller of the function takes ownership of the data, and is responsible for freeing it.